### Function

# Cogl xlib_renderer_add_filter

#### Declaration [src]

    void
    cogl_xlib_renderer_add_filter (
      CoglRenderer* renderer,
      CoglXlibFilterFunc func,
      void* data
    )

#### Description [src]

Adds a callback function that will receive all native events. The function can stop further processing of the event by return `COGL_FILTER_REMOVE`.

This function is not directly available to language bindings.

#### Parameters

`renderer`

  Type: `CoglRenderer`

  A `CoglRenderer`.

  The data is owned by the caller of the function.

`func`

  Type: `CoglXlibFilterFunc`

  The callback function.

`data`

  Type: `void*`

  User data passed to `func` when called.

  The argument can be `NULL`.
  The data is owned by the caller of the function.